# Generated from github-markup-preview-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name github-markup-preview

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Preview your markdown files as html using the github look and feel
License: BSD 3-clauses
URL: http://github.com/norswap/github-markup-preview
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Uses the 'github-markup' gem to compiler your markdown files to html. html is
then formatted the same way as it is on github. Includes options to compile
all files under a directory, to watch for changes and to delete generated
files.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/gm-preview
%{gem_instdir}/.
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.2-1
- Initial package
